CRYPTO_SHASH_EXPORT(9)

NAME
crypto_shash_export - extract operational state for message digest

SYNOPSIS

int crypto_shash_export(struct shash_desc * desc, void * out);

ARGUMENTS

desc
    reference to the operational state handle whose state is exported

out
    output buffer of sufficient size that can hold the hash state

DESCRIPTION

This function exports the hash state of the operational state handle into the caller-allocated output buffer out which must have sufficient size (e.g. by calling crypto_shash_descsize).

RETURN

0 if the export creation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT